SAVELOG(8)

NOME
savelog - grava um ficheiro de relatório (log)

SINOPSE
savelog [-m modo] [-u utilizador] [-g grupo] [-t] [-p] [-c ciclo] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r rolldir] [-n] [-q] [-D formato-data] ficheiro ...

DESCRIÇÃO
O comando savelog grava e opcionalmente comprime as cópias antigas dos ficheiro. As versões antigas do ficheiro são chamadas:

    file.<number><compress_suffix>

onde <number> é o número da versão, sendo 0 a mais recente. Números de versão > maiores que 0 são comprimidos a menos que -l o previna. O número de versão 0 não é comprimido porque um processo pode ainda ter o ficheiro aberto para escrita/leitura. Apenas as versões com ciclo do ficheiro são mantidas.

se o ficheiro não existir e for fornecido -t, ele será criado.

Para ficheiros que existem, e têm tamanhos superiores a zero, são executadas as seguintes acções:

1)  É feito um ciclo aos ficheiros com número de versão. O ficheiro versão .2 é movido para ficheiro versão .3, ficheiro versão .1 é movido para ficheiro versão .2, e assim sucessivamente. Finalmente o ficheiro versão .0 é movido para ficheiro versão .1 e o ficheiro versão é apagado. É feito esta reciclagem a ambos nomes comprimidos e nomes não comprimidos, independentemente de -l. Os ficheiros de versão em falta são ignorados.

2)  O novo ficheiro.1 é comprimido a menos que a flag -l seja usada. É alterado de acordo com as flags -m, -u, e -g.

3)  O ficheiro principal é movido para ficheiro.0.

4)  Se as flags -m, -u, -g, -t, ou -p forem usadas, então é criado um ficheiro vazio de acordo com as flags usadas. Com a flag -p, o ficheiro é criado com o mesmo dono, grupo e permissões como antes.

5)  O novo ficheiro.0 é alterado de acordo com as flags -m, -u, e -g.

OPÇÕES

-m modo
    faz chmod aos ficheiros de relatório para modo, implica -t

-u utilizador
    faz chown aos ficheiros de relatório para utilizador, implica -t

-g grupo
    faz chgrp aos ficheiros de relatório para grupo, implica -t

-c ciclo
    Grava versões de ciclo do ficheiro de relatório (predefinição: 7). A contagem de ciclo tem de ser pelo menos 2.

-t  toca novo ficheiro de relatório para existência

-l  não comprime nenhuns ficheiros de relatório (predefinição: comprime)

-p  preserva o dono, grupo e permissões do ficheiro de relatório

-j  comprime com bzip2 em vez de gzip

-J  comprime com xz em vez de gzip

    Para xz nenhuma opção de força é definida, e o xz decide pela predefinição com base na quantidade total de RAM física. Note que o xz pode usar uma grande quantidade de memória para os níveis de compressão mais altos.

-1 .. -9
    força de compressão ou utilização de memória (predefinição: 9, excepto para xz)

-C  força a limpeza dos ficheiros de relatório que fizeram ciclo.

-d  usa data standard para a rotação

-D formato-data
    sobrepõe o formato da data, na sintaxe compreendida pelo comando date(1)

-r  usa rolldir em vez de . para rodar os ficheiros

-n  não faz rotação a ficheiros vazios

-q  fica silencioso

BUGS
Se um processo ainda estiver a escrever no ficheiro.0, e o savelog o mover para ficheiro.1 e o comprimir, podem-se perder dados.

VEJA TAMBÉM
logrotate(8)